package com.ys.bdtp.adm.mvvm.model.db

import android.content.Context
import androidx.room.Database
import androidx.room.Entity
import androidx.room.RenameTable
import androidx.room.Room
import androidx.room.RoomDatabase
import com.ys.bdtp.adm.mvvm.model.db.dao.UserDao
import com.ys.bdtp.adm.mvvm.model.db.entity.UserEntity

@Database(entities = [UserEntity::class], version = 1, exportSchema = true)
abstract class AdmDatabase : RoomDatabase() {
    abstract fun userDao(): UserDao

    companion object {
        @Volatile
        private var instance: AdmDatabase? = null

        operator fun invoke(context: Context): AdmDatabase {
            return instance ?: synchronized(this) {
                instance ?: Room.databaseBuilder(
                    context,
                    AdmDatabase::class.java,
                    "adm_db"
                ).build().also { instance = it }
            }
        }
    }
}